For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

Creating a new 3d coordinate system

Kyu Ho Kim's picture
Forums: 

Hello guys! 

I'm a beginner to pythonOCC. 

I have a question to create a new coordinate system.

My purpose is to create a point p2 which has (1,1,1) on a new 3d coordinate system named a1.

I think I completed to create a1 correctly but I don't have any idea to create p2.

p2=gp_Pnt(1,1,1) stands for creating a point on a global coordinate system right?

my code is below.

def axis():
    p = gp_Pnt(1., 0., 0.)
    d = gp_Dir(1., 0., 0.)
    a1 = gp_Ax2(p, d)
    
    p2=????
    display.DisplayShape(p2, update=True)
    display.DisplayMessage(p2, "P2")

 axis()

Please give me direction to solve it. thank you very much.